function [A0,b21ib11 ]=getA0column(resid,instrument)
N=cols(resid);
tmp=packr([instrument resid]);
m=tmp(:,1);
resid=tmp(:,2:end);
%calculate column of A0 matrix
k=1;
Phib=[m ones(rows(m),1)]\resid;
  Phib=Phib(1:end-1,:);
  %%%%%%%%%%%%Step 4: 
  Phib11  = Phib(1:k,1:k);
Phib21  = Phib(1:k,k+1:N);
  b21ib11 = (Phib11\Phib21)';  %EQ A4

A0=zeros(N,N);
A0(1,:)=[1;b21ib11]';